package com.jasamedika.medifirst2000.entities;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name = "PegawaiHistoriEvaluasi_T")
public class PegawaiHistoriEvaluasi extends BaseTransaction {
	
	@ManyToOne
	@JoinColumn(name = "PegawaiFk")
	@NotNull(message = "Pegawai Harus Diisi")
	@Caption(value = "Pegawai")
	private Pegawai pegawai;
	
	@Column(name = "PegawaiFk", insertable = false, updatable = false,nullable = false)
	private Integer pegawaiId;
	
	@ManyToOne
	@JoinColumn(name = "noHistoriFK")
	@NotNull(message = "noHistori Harus Diisi")
	@Caption(value = "noHistori")
	private StrukHistori strukHistory;
	
	@Column(name = "noHistoriFK", columnDefinition = "CHAR(32)", insertable = false, updatable = false,nullable = false)
	private String strukHistoryId;
	
	@ManyToOne
	@JoinColumn(name = "strukVerifikasiFK")
	@Caption(value = "strukVerifikasi")
	private StrukVerifikasi strukVerifikasi;
	
	@Column(name = "strukVerifikasiFK", columnDefinition = "CHAR(32)", insertable = false, updatable = false,nullable = true)
	private String strukVerifikasiId;
	
	@Caption(value = "totalHasilEvaluasi")
	@Column(name = "totalHasilEvaluasi", nullable = true)
	private String totalHasilEvaluasi;
	
	@Caption(value = "totalNilaiHasilEvaluasi")
	@Column(name = "totalNilaiHasilEvaluasi", nullable = true)
	private Double totalNilaiHasilEvaluasi;
	
	@Caption(value = "rekomendasi")
	@Column(name = "rekomendasi", nullable = true)
	private String rekomendasi;
	
	@Caption(value = "keteranganLainnya")
	@Column(name = "keteranganLainnya", nullable = true)
	private String keteranganLainnya;

	public Pegawai getPegawai() {
		return pegawai;
	}

	public void setPegawai(Pegawai pegawai) {
		this.pegawai = pegawai;
	}

	public Integer getPegawaiId() {
		return pegawaiId;
	}

	public void setPegawaiId(Integer pegawaiId) {
		this.pegawaiId = pegawaiId;
	}

	public String getTotalHasilEvaluasi() {
		return totalHasilEvaluasi;
	}

	public void setTotalHasilEvaluasi(String totalHasilEvaluasi) {
		this.totalHasilEvaluasi = totalHasilEvaluasi;
	}

	public Double getTotalNilaiHasilEvaluasi() {
		return totalNilaiHasilEvaluasi;
	}

	public void setTotalNilaiHasilEvaluasi(Double totalNilaiHasilEvaluasi) {
		this.totalNilaiHasilEvaluasi = totalNilaiHasilEvaluasi;
	}

	public String getRekomendasi() {
		return rekomendasi;
	}

	public void setRekomendasi(String rekomendasi) {
		this.rekomendasi = rekomendasi;
	}

	public String getKeteranganLainnya() {
		return keteranganLainnya;
	}

	public void setKeteranganLainnya(String keteranganLainnya) {
		this.keteranganLainnya = keteranganLainnya;
	}

	public StrukHistori getStrukHistory() {
		return strukHistory;
	}

	public void setStrukHistory(StrukHistori strukHistory) {
		this.strukHistory = strukHistory;
	}

	public String getStrukHistoryId() {
		return strukHistoryId;
	}

	public void setStrukHistoryId(String strukHistoryId) {
		this.strukHistoryId = strukHistoryId;
	}

	public StrukVerifikasi getStrukVerifikasi() {
		return strukVerifikasi;
	}

	public void setStrukVerifikasi(StrukVerifikasi strukVerifikasi) {
		this.strukVerifikasi = strukVerifikasi;
	}

	public String getStrukVerifikasiId() {
		return strukVerifikasiId;
	}

	public void setStrukVerifikasiId(String strukVerifikasiId) {
		this.strukVerifikasiId = strukVerifikasiId;
	}
	
}
